## List Directories

`DirectoryListPage beta().directories().list(DirectoryListParamsparams = DirectoryListParams.none(), RequestOptionsrequestOptions = RequestOptions.none())`

**get** `/api/v1/beta/directories`

List Directories

### Parameters

- `DirectoryListParams params`

  - `Optional<Boolean> includeDeleted`

  - `Optional<String> name`

  - `Optional<String> organizationId`

  - `Optional<Long> pageSize`

  - `Optional<String> pageToken`

  - `Optional<String> projectId`

  - `Optional<Type> type`

    - `USER("user")`

    - `INDEX("index")`

    - `EPHEMERAL("ephemeral")`

### Returns

- `class DirectoryListResponse:`

  API response schema for a directory.

  - `String id`

    Unique identifier for the directory.

  - `String name`

    Human-readable name for the directory.

  - `String projectId`

    Project the directory belongs to.

  - `Optional<LocalDateTime> createdAt`

    Creation datetime

  - `Optional<LocalDateTime> deletedAt`

    Optional timestamp of when the directory was deleted. Null if not deleted.

  - `Optional<String> description`

    Optional description shown to users.

  - `Optional<LocalDateTime> expiresAt`

    When this directory expires and is eligible for cleanup.

  - `Optional<SystemMetadata> systemMetadata`

    Reserved system-managed metadata.

  - `Optional<Type> type`

    Directory type: 'user', 'index', 'ephemeral', or 'system_ephemeral'.

    - `USER("user")`

    - `INDEX("index")`

    - `EPHEMERAL("ephemeral")`

    - `SYSTEM_EPHEMERAL("system_ephemeral")`

  - `Optional<LocalDateTime> updatedAt`

    Update datetime

### Example

```java
package com.llamacloud_prod.api.example;

import com.llamacloud_prod.api.client.LlamaCloudClient;
import com.llamacloud_prod.api.client.okhttp.LlamaCloudOkHttpClient;
import com.llamacloud_prod.api.models.beta.directories.DirectoryListPage;
import com.llamacloud_prod.api.models.beta.directories.DirectoryListParams;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        LlamaCloudClient client = LlamaCloudOkHttpClient.fromEnv();

        DirectoryListPage page = client.beta().directories().list();
    }
}
```

#### Response

```json
{
  "items": [
    {
      "id": "id",
      "name": "x",
      "project_id": "project_id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "deleted_at": "2019-12-27T18:11:19.117Z",
      "description": "description",
      "expires_at": "2019-12-27T18:11:19.117Z",
      "system_metadata": {
        "foo": "bar"
      },
      "type": "user",
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
```
